#include <iostream>

using namespace std;

int main()
{
    int n,x;
    cin>>n>>x;
    int a[n];
    int mini=x;
    int maxi=x;
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]<mini)
            mini=a[i];
        if(a[i]>x)
            maxi=a[i];
    }
    if(mini==x || maxi==x)
        cout<<maxi-mini;
    else{
        cout<<x-mini+maxi-mini;
    }
    return 0;
}